Eclipse Platform Release 3.7

## org.eclipse.ui.views.framelist
Class GoIntoAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.views.framelist.FrameAction
                      org.eclipse.ui.views.framelist.GoIntoAction

All Implemented Interfaces:
  IAction

    public class GoIntoAction

extends FrameAction

Generic "Go Into" action which goes to the frame for the current selection.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`GoIntoAction(FrameList frameList)` Constructs a new action for the specified frame list.

Method Summary
`void` `run()` Calls `gotoFrame` on the frame list with a frame representing the currently selected container.
`void` `update()` Updates this action's enabled state.

Methods inherited from class org.eclipse.ui.views.framelist.FrameAction
`dispose, getFrameList, handlePropertyChange`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### GoIntoAction

    public GoIntoAction(FrameList frameList)

  Constructs a new action for the specified frame list.

  Parameters:
    `frameList` - the frame list

Method Detail

### run

    public void run()

  Calls `gotoFrame` on the frame list with a frame representing the currently selected container.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### update

    public void update()

  Updates this action's enabled state. This action is enabled only when there is a frame for the current selection.

  Overrides:
    `update` in class `FrameAction`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.